using System;
using System.IO;
using System.Xml;

namespace xml
{
    class Program
    {
        static void Main()
        {
            string filePath = @"..\..\list.xml";
            XmlDocument xmlDoc = new XmlDocument();
            xmlDoc.Load(filePath);

            XmlNodeList xmlNode = xmlDoc.GetElementsByTagName("food");
            for (int i = 0; i < xmlNode.Count; i++)
            {
                //Ӽ 
                XmlAttributeCollection xmlAttr = xmlNode[i].Attributes;
                for (int j = 0; j < xmlAttr.Count; j++)
                {
                    Console.Write(xmlAttr[j].Name);
                    Console.Write(": " + xmlAttr[j].Value + "\t\t");
                }
                Console.WriteLine("");

                //Ÿ 
                XmlElement data = (XmlElement)xmlNode[i].FirstChild;
                while (data != null)
                {
                    Console.Write(data.Name);
                    Console.WriteLine(":\t" + data.InnerText);
                    data = (XmlElement)data.NextSibling;
                }
                /*
                                XmlNodeList xmlChild = xmlNode[i].ChildNodes;
                                for (int k = 0; k < xmlChild.Count; k++)
                                {
                                    XmlElement data = (XmlElement)xmlChild[k];
                                    Console.Write(data.Name);
                                    Console.WriteLine(":\t" + data.InnerText);
                                }
                */

            }

            //SelectNodes 1
            Console.WriteLine("\n---------------- SelectNodes 1 ----------------");
            {
                XmlElement root = xmlDoc.DocumentElement;
                XmlNodeList nodeList = root.SelectNodes("/food_list/food/@kind");
                foreach (XmlNode food in nodeList)
                    Console.WriteLine(food.Value);
            }
            //SelectNodes 2
            {
                Console.WriteLine("\n---------------- SelectNodes 2 ----------------");
                XmlElement root = xmlDoc.DocumentElement;
                XmlNodeList nodeList = root.SelectNodes("/food_list/food");
                foreach (XmlNode food in nodeList)
                    Console.WriteLine(food.OuterXml);
            }
            //SelectSingleNode 
            {
                Console.WriteLine("\n---------------- SelectSingleNode  ----------------");
                XmlNode food = xmlDoc.SelectSingleNode("descendant::food[@ID='003' and @kind='ѽ']");
                Console.WriteLine(food.OuterXml);
            }
        }
    }
}
